#include <bits/stdc++.h>
using namespace std;
int ucln(long long a,long long b)
{
    if(b==0){
        return a;
    }
    else
    {
        long long r;
        r=a%b;
        return ucln(b,r);
    }

}
int main()
{
	ifstream f("BAI1_14.inp");
	ofstream g("BAI1_14.out");
	long long a,b;
	int i;
	f>>a>>b;
    g<<ucln(a,b);
	f.close();
	g.close();
}
